#!/bin/csh
set path=(. $path)
#
set tmp=/tmp/bb_awk.$$
#
if ($#argv != 1) then
  echo echo usage : bb_awk.csh directory 1\>\&2 | /bin/sh ; exit 1
endif
#
set dir=$argv[1]
if (!(-d $dir)) then
  echo echo $dir : directory not found. 1\>\&2 | /bin/sh ; exit 1
endif
#
si_of $dir - 1 1 1 | head -2 | grep \^1 | cut -f9-11
#
si_ch_zcp $argv[1] - 1 - | zcp_dmp - >$tmp
gawk -f zcp2abc.awk $tmp | head -1
gawk -f zcp2abc_sil.awk $tmp | head -1
gawk -f zcp2abc_sli.awk $tmp | head -1
gawk -f zcp2abc_lis.awk $tmp | head -1
gawk -f zcp2abc_lsi.awk $tmp | head -1
rm $tmp
