#!/bin/csh
set path=(. $path)
#
set tmp=/tmp/bb_exe.$$
#
if ($#argv != 1 && $#argv != 2) then
  echo echo usage : bb_exe.csh directory \{step\} 1\>\&2 | /bin/sh ; exit 1
endif
#
set dir=$argv[1]
if (!(-d $dir)) then
  echo echo $dir : directory not found. 1\>\&2 | /bin/sh ; exit 1
endif
#
if ($#argv == 1) then
  set step=
else
  set step=$argv[2]
endif
#
si_of $dir - 1 1 1 | head -2 | grep \^1 | cut -f9-11
#
si_ch_zcp $dir - 1 - | zcp_dmp - >$tmp
zcp2abc $tmp | head -1
zcp2abc_sil $tmp $step | head -1
zcp2abc_sli $tmp $step | head -1
zcp2abc_lis $tmp $step | head -1
zcp2abc_lsi $tmp $step | head -1
rm $tmp
