NF==3 { ++N; x[N]=$1; y[N]=$2; z[N]=$3 }
END {
  D=0
  for (i=1; i<N; i++) for (j=i+1; j<=N; j++)
    if ((d=(x[i]-x[j])^2+(y[i]-y[j])^2+(z[i]-z[j])^2)>D) { I=i; J=j; D=d }
  l=atan2(dy=y[I]-y[J],dx=x[I]-x[J]); cl=cos(l); sl=sin(l)
  p=atan2(z[I]-z[J],sqrt(dx^2+dy^2)); cp=cos(p); sp=sin(p)
  cx=cl*cp; cy=sl*cp; cz=sp
  if ((c1=cx*x[I]+cy*y[I]+cz*z[I])>\
      (c2=cx*x[J]+cy*y[J]+cz*z[J])) { d=c1; c1=c2; c2=d }
  D=0
  for (i=1; i<N; i++) for (j=i+1; j<=N; j++) {
    dx=x[i]-x[j]; dy=y[i]-y[j]; dz=z[i]-z[j]
    if ((d=dx^2+dy^2+dz^2-(cx*dx+cy*dy+cz*dz)^2)>D) { I=i; J=j; D=d }
  }
  dx=x[I]-x[J]; dy=y[I]-y[J]
  t=atan2(dx*sl-dy*cl,(z[I]-z[J])*cp-(dx*cl+dy*sl)*sp); ct=cos(t); st=sin(t)
  bx=(-sl)*st+cl*sp*ct; by=cl*st+sl*sp*ct; bz=(-cp)*ct
  if ((b1=bx*x[I]+by*y[I]+bz*z[I])>\
      (b2=bx*x[J]+by*y[J]+bz*z[J])) { d=b1; b1=b2; b2=d }
  ax=sl*ct+cl*sp*st; ay=(-cl)*ct+sl*sp*st; az=(-cp)*st
  for (i=1; i<=N; i++) {
    a=ax*x[i]+ay*y[i]+az*z[i]
    if (i==1) a1=a2=a; else if (a<a1) a1=a; else if (a>a2) a2=a
  }
  printf "%g\t%g\t%g\n",a2-a1,b2-b1,c2-c1
  printf "%g\t%g\t%g\n",a1*ax+b1*bx+c1*cx,a1*ay+b1*by+c1*cy,a1*az+b1*bz+c1*cz
  printf "%g\t%g\t%g\n",a2*ax+b1*bx+c1*cx,a2*ay+b1*by+c1*cy,a2*az+b1*bz+c1*cz
  printf "%g\t%g\t%g\n",a2*ax+b2*bx+c1*cx,a2*ay+b2*by+c1*cy,a2*az+b2*bz+c1*cz
  printf "%g\t%g\t%g\n",a1*ax+b2*bx+c1*cx,a1*ay+b2*by+c1*cy,a1*az+b2*bz+c1*cz
  printf "%g\t%g\t%g\n",a1*ax+b1*bx+c2*cx,a1*ay+b1*by+c2*cy,a1*az+b1*bz+c2*cz
  printf "%g\t%g\t%g\n",a2*ax+b1*bx+c2*cx,a2*ay+b1*by+c2*cy,a2*az+b1*bz+c2*cz
  printf "%g\t%g\t%g\n",a2*ax+b2*bx+c2*cx,a2*ay+b2*by+c2*cy,a2*az+b2*bz+c2*cz
  printf "%g\t%g\t%g\n",a1*ax+b2*bx+c2*cx,a1*ay+b2*by+c2*cy,a1*az+b2*bz+c2*cz
}
